%define	name	ohphone
%define	version	1.4.5
%define	snap	20050322
%define	release	%mkrel 0.%{snap}.8

%{expand:%%define o_ver %(echo v%{version}| sed "s#\.#_#g")}
%define openh323_version 1.15.3
%define pwlib_version 1.8.4

Summary:	Initiate, or receive, a H.323 IP telephony call
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	MPL
Group:		Networking/Other
URL:		http://openh323.sourceforge.net/
Source0:	%{name}-%{o_ver}-%{snap}-src.tar.bz2
Patch0:		ohphone-1.2.11-openh323path.patch
Patch3:		ohphone-1.4.5-psdl.patch
BuildRequires:	openh323-devel >= %openh323_version pwlib-devel >= %pwlib_version libxext-static-devel libx11-static-devel x11-proto-devel
BuildConflicts:	svgalib-devel
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
ohphone is a command line application that can be used to listen for
incoming H.323 calls, or to initiate a call to a remote host. Although
originally intended as a test harneess for the OpenH323 project (see
http://www.openh323.org) it has developed into a fully functional
H.323 endpoint application.

%prep

%setup -q -n %{name}
%patch0 -p1 -b .openh323path
%patch3 -p1 -b .psdl

%build

# Fix X location, avoid patch
perl -pi -e 's,/usr/X11R6/include/,%_includedir,g' Makefile
perl -pi -e 's,/usr/X11R6/lib/,%_libdir,g' Makefile

export CFLAGS="%{optflags} -DLDAP_DEPRECATED"
export CXXFLAGS="%{optflags} -DLDAP_DEPRECATED"

%make \
    OPTCCFLAGS="%{optflags}" \
    PWLIBDIR=%{_datadir}/pwlib \
    OPENH323DIR=%{_prefix} \
    PREFIX=%{_prefix} \
    PWLIB_BUILD=1 \
    OH323_LIBDIR=%{_libdir} \
    optshared

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}{%{_bindir},%{_mandir}/man1}
%ifarch %ix86
install -m0755 obj_linux_x86_?/%{name} %{buildroot}%{_bindir}
%else
%ifarch alpha
install -m0755 obj_linux_%{_arch}-*/%{name} %{buildroot}%{_bindir}
%else
install -m0755 obj_linux_%{_arch}_*/%{name} %{buildroot}%{_bindir}
%endif
%endif
install -m0644 %{name}.1 %{buildroot}%{_mandir}/man1

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc ReadMe.txt
%attr(0755,root,root) %{_bindir}/*
%{_mandir}/man*/*


%changelog
* Thu Sep 06 2007 Emmanuel Andry <eandry@mandriva.org> 1.4.5-0.20050322.8mdv2008.0
+ Revision: 81245
- rebuild for expat

* Fri Jun 01 2007 Adam Williamson <awilliamson@mandriva.com> 1:1.4.5-0.20050322.7mdv2008.0
+ Revision: 34203
- define libdir in build (fix x86-64)
- drop patch2, replace with substitutions in spec
- rebuild for new era
- add patch3 from CVS to fix build (remove old SDL stuff)
- update BuildRequires and Conflicts
- Import ohphone



* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.5-0.20050322.5mdk
- rebuilt against openssl-0.9.8a

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.5-0.20050322.4mdk
- rebuild

* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.5-0.20050322.3mdk
- rebuilt against new openldap-2.3.6 libs
- pass "-DLDAP_DEPRECATED" to the CFLAGS

* Sun Jul 31 2005 Guillaume Bedot <littletux@mandriva.org>  1:1.4.5-0.20050322.2mdk
- rebuild

* Thu Jun 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:1.4.5-0.20050322.1mdk
- 1.4.5 (CVS 20050322)
- drop P3 as this seems conditional now (ffh263codec.h)
- epoch force it...

* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.13.5-4mdk
- nuke buildrequires and even conflict with vpb-devel
- rework lib64 patch to be compatible with latest pwlib/openh323 changes

* Wed Sep 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.13.5-3mdk
- Rebuild with latest pwlib/openh323

* Tue Jun 29 2004 Michael Scherer <misc@mandrake.org> 1.13.5-2mdk 
- rebuild for new gcc

* Thu May 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.13.5-1mdk
- 1.13.5

* Wed May 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.13.4-2mdk
- fix buildrequires

* Tue May 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.13.4-1mdk
- 1.13.4
- fix buildrequires
- add svgalib-devel to BuildConflicts as we don't build against svgalib since
  it's in contrib
- update url
- drop P1 as it was'nt applied
- do parallell build

* Tue Sep 23 2003 Florin <florin@mandrakesoft.com> 1.4.1-1mdk
- 1.4.1
- add the h263codec_include patch

* Tue Mar 11 2003 Florin <florin@mandrakesoft.com> 1.3.5-1mdk
- 1.3.5
- update requires
- remove already intergrated c++fixes patch
- update the lib64 patch

* Sun Dec  1 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.11-2mdk
- Patch2: Make it lib64 aware

* Thu Nov 28 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.11-1mdk
- 1.2.11
- Patch0: Usual patchery for correct inclusion of openh323 rules
- Patch1: Trivial ISO C++ fixes

* Mon May 06 2002 Florin <florin@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2

* Tue Mar 12 2002 Florin <florin@mandrakesoft.com> 1.2.0-2mdk
- rebuild against the latest pwlib

* Tue Feb 26 2002 Florin <florin@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Wed Dec  5 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.1.7-3mdk
- more non-x86 fix

* Mon Dec  3 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.1.7-2mdk
- fix non-x86 build

* Fri Nov 30 2001 Florin <florin@mandrakesoft.com> 1.1.7-1mdk
- 1.1.7
- add the ReadMe.txt file

* Tue Oct 23 2001 Florin <florin@mandrakesoft.com> 1.1.4-3mdk
-  recompile with the new pwlib1 and openh323_1

* Wed Sep 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.4-2mdk
- add Requires on the pwlib1 and openh323 version-release

* Sun Jul 22 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.4-1mdk
- 1.1.4

* Sun Jun 10 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.1-3mdk
-BuildRequires:	openh323-devel pwlib-devel

* Tue Jan 23 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.1-2mdk
- Aloow build on non %%ix86 architectures

* Mon Jan 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.1-1mdk
- first Linux-Mandrake version.
